@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: 'Poppins', sans-serif;

}

.container {
  border: 2px solid blueviolet;
}

.my-row {
  border: 3px dotted pink;
}

.col {
  background: white;
  border: 3px solid black;
}


/** nav **/
.wdt {
  max-width: 1300px;
  padding: 0 80px;
  margin: auto;

}

.navbar{
  position: fixed;
  z-index: 999;
  width: 100%;
  padding: 30px 0;
  /**background: #FF6F61;**/
  font-family: 'Ubuntu', sans-serif;
  transition: all 0.3s ease;
}

.navbar.sticky {
  padding: 15px 0;
  background: #FF6F61;
}

.navbar .wdt {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar .logo a {
  color: black;
  font-size: 35px;
  font-weight: 600;
}

.navbar .logo a span {
  color: #FF6F61;
  transition: all 0.3s ease;
}

.navbar.sticky .logo a span {
  color: black;
}

.navbar .menu li {
  list-style: none;
  display: inline-block;
}

.navbar .menu li a{
  display: block;
  color: black;
  font-size: 18px;
  font-weight: 500;
  margin-left: 25px;
  transition: color 0.3s ease;

}

.navbar .menu li a:hover {
  color:white;

}

.navbar.sticky .menu li a:hover {
  color: white;
}

/** button style**/
.menu-btn {
  color: black;
  font-size: 23px;
  cursor: pointer;
  display: none;
}

.scroll-up-btn {
  position: fixed;
  height: 45px;
  width: 42px;
  background: #FF6F61;
  right: 30px;
  bottom: 10px;
  text-align: center;
  line-height: 45px;
  color: black;
  font-size: 30px;
  border-radius: 6px;
  cursor: pointer;
  opacity: 0;
  pointer-events: none;
  transition: all 0.3s ease;

}

.scroll-up-btn.show {
  bottom: 10px;
  opacity: 1;
  pointer-events: auto;
}

/** home **/

.home {
  display: flex;
  background: url("../img/HomeBg.jpg") no-repeat center;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
  min-height: 500px;
  font-family: 'Ubuntu', sans-serif;
}

.home .wdt {
  margin: auto 0 auto 40px;
}

.home .hmcntnt .txt1 {
  font-size: 27px;
}

.home .hmcntnt .txt2 {
  font-size: 75px;
  font-weight: 600;
  margin-left: -3px;
}

.home .hmcntnt .txt3 {
  font-size: 40px;
  margin: 5px 0;
}

.home .hmcntnt .txt3 span {
  color: #FF6F61;
  font-weight: 500;
}

/**section**/

.about .skills .contact {
  font-family: 'Poppins', sans-serif;
}

section {
  padding: 100px 0;
}

section .title {
  position: relative;
  text-align: center;
  font-size: 40px;
  font-weight: 500;
  margin-bottom: 60px;
  padding-bottom: 20px;
  font-family: 'Ubuntu', sans-serif;
}

section .title::before {
  content: "";
  position: absolute;
  bottom: 0px;
  left: 50%;
  width: 180px;
  height: 3px;
  background:black;
  transform: translateX(-50%);

}

section .title::after {
  content: "";
  position: absolute;
  bottom: -13px;
  left: 50%;
  font-size: 20px;
  color: #FF6F61;
  padding: 5px;
  background: white;
  transform: translateX(-50%);

}

/** about **/

.about .abtcntnt {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.about .title {
  position: relative;
  text-align: center;
  font-size: 40px;
  font-weight: 500;
  margin-bottom: 60px;
  padding-bottom: 20px;
  font-family: 'Ubuntu', sans-serif;
}

.about .title::before {
  content: "";
  position: absolute;
  bottom: 0px;
  left: 50%;
  width: 180px;
  height: 3px;
  background:black;
  transform: translateX(-50%);

}

.about .title::after {
  content: "Who am I";
  position: absolute;
  bottom: -13px;
  left: 50%;
  font-size: 20px;
  color: #FF6F61;
  padding: 5px;
  background: white;
  transform: translateX(-50%);

}


.about .abtcntnt .left {
  width: 45%;
}

.about .abtcntnt .left img {
  height: 400px;
  width: 400px;
  object-fit: cover;
  border-radius: 6px;

}

.about .abtcntnt .right {
  width: 55%;
}

.about .abtcntnt .right .text{
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 10px;
}

.about .abtcntnt .right .text span {
  color: #FF6F61;
}

.about .abtcntnt .right p {
  text-align: justify;
}

/**skills**/

.skills {
  background:  #FF6F61;
}

.skills .skllscntnt {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.skills .title::after {
  content: "What I know";
  color: black;
  background:  #FF6F61;
}

.skills .skllscntnt .column {
  width: calc(50% - 30px);
}

.skills .skllscntnt .left .text{
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 10px;
}

.skills .skllscntnt .left p{
  text-align: justify;
}

.skills .skllscntnt .right .bars{
  margin-bottom: 15px;
}

.skills .skllscntnt .right .info{
  display: flex;
  margin-bottom: 5px;
  align-items: center;
  justify-content: space-between;
}

.skills .skllscntnt .right span{
  font-weight: 500;
  font-size: 18px;
}

.skills .skllscntnt .right .line{
  height: 5px;
  width: 100%;
  background: white;
  position: relative;
}

.skills .skllscntnt .right .line::before{
  content: "";
  position: absolute;
  height: 100%;
  left: 0%;
  top: 0%;
  background: black;
}

.skllscntnt .right .html::before {
  width: 60%;
}

.skllscntnt .right .css::before {
  width: 70%;
}

.skllscntnt .right .java::before {
  width: 65%;
}

.skllscntnt .right .php::before {
  width: 40%;
}

.skllscntnt .right .sql::before {
  width: 30%;
}

/**contact**/

.contact .title::after{
  content: "Get in touch"
}

.contact .cntctt {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.contact .cntctt .column {
  width: calc(50% - 30px);
}

.contact .cntctt .text{
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 10px;
}

.contact .cntct .left p{
  text-align: justify;
}

.contact .cntctt .left .icons{
  margin: 10px 0;
}

.contact .cntctt .row {
  display: flex;
  height: 65px;
  align-items: center;
}

.contact .cntctt .row .info {
  margin-left: 30px;
}

.contact .cntctt .row i{
  font-size: 25px;
  color: #FF6F61;
}

.contact .cntctt .info .head {
  font-weight: 500;
}

.contact .cntctt .info .sub-title {
  color: #333;
}

.contact .right form .fields{
  display: flex;

}

.contact .right form .field, 
.contact .right form .fields .field {
  height: 45px;
  width: 100%;
  margin-bottom: 15px;
}

.contact .right form .textarea {
  height: 80px;
  width: 100%;
}

.contact .right form .name {
  margin-right: 10px;
}

.contact .right form .email {
  margin-left: 10px;
}

.contact .right form .field input,
.contact .right form .textarea textarea {
  height: 100%;
  width: 100%;
  border: 1px solid lightgrey;
  border-radius: 6px;
  outline: none;
  padding: 0 15px;
  font-size: 17px;
}

.contact .right form .textarea textarea {
  padding-top: 10px;
  resize: none;
}

.contact .right form .btn {
  height: 47px;
  width: 170px;
}

.contact .right form .btn button{
  width: 100%;
  height: 100%;
  border: 2px solid #FF6F61;
  background: #FF6F61;
  color: white;
  font-size: 20px;
  font-weight: 500;
  border-radius: 6px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.contact .right form .btn button:hover{
  color: #FF6F61;
  background: none;
}

/**media query**/

@media (max-width: 1300px) {
  .home .wdt {
    margin-left: 0px;
  }
}

@media (max-width: 1200px) {
  .about .abtcntnt .left img {
    height: 300px;
    width: 300px;
  }
}

@media (max-width: 1050px) {
    .wdt {
    padding: 0 50px;
  }
}

@media (max-width: 910px) {
    .wdt {
    padding: 0 60px;
  }
}

@media (max-width: 850px) {
  
  .menu-btn {
    display: block;
    z-index: 999;
  }

  .menu-btn i.active:before{
    content: "\f00d";
  }

  .navbar .menu {
    position: fixed;
    height: 100vh;
    width: 100%;
    left: -100%;
    top: 0;
    background: #FF6F61;
    text-align: center;
    padding-top: 80px;
    transition: all 0.3s ease;
  }
  
  .navbar .menu.active{
    left: 0;
  }

  .navbar .menu li{
    display: block
  }

  .navbar .menu li a{
    display:inline-block;
    margin: 20px 0;
    font-size: 25px;
  }

  .home .hmcntnt .txt2 {
    font-size: 50px;
  }
  
  .home .hmcntnt .txt3 {
    font-size: 35px;
  }

  .home .hmcntnt .a {
    font-size: 23px;
    padding: 10px 30px;
  }

  .wdt {
    max-width: 800px;
  }

  .about .abtcntnt .column{
    width: 100%;
  }

  .about .abtcntnt .left{
    display: flex;
    justify-content: center;
    margin: 0 auto 50px;
  }

  .about .abtcntnt .right{
    flex: 100%;
  }

  .skills .skllscntnt .column,
  .contact .cntctt .column{
    width: 100%;
    margin-bottom: 30px;
  }
}

@media (max-width: 680px) {
  .wdt {
    padding: 0 23px;
  }
  .home .hmcntnt .txt2 {
    font-size: 55px;
  }
  
  .home .hmcntnt .txt3 {
    font-size: 27px;
  }

  .skills .skllscntnt .column{
    width: 100%;
  }
}

@media (max-width: 560px) {

  .home .hmcntnt .txt2 {
    font-size: 35px;
  }
  
  .home .hmcntnt .txt3 {
    font-size: 27px;
  }
}